## Visualizing Ice Core Datasets in Python Using a Jupyter Notebook Template

## Authors
L. Markowsky, Jessica Scheick

## Abstract
Chemical constituents measured in ice cores are often visualized in a standard format, with figures produced by proprietary or closed tools. Such tools present an extra step that requires a context switch in the process of analyzing and visualizing results. Python and its many machine learning, numerical computation, and visualization libraries together with Jupyter notebooks offer a unified alternative that permits researchers to analyze and visualize ice core datasets in a single, highly-integrated ecosystem. This Jupyter notebook uses exclusively open-source Python libraries (specifically NumPy, Matplotlib, and Pandas) to create a readily reproducible, publication quality figure. We demonstrate the utility of the notebook as a template for ice core researchers engaging in open science by recreating multiple figures published by Schupbach et al. in Nature Communications, 16 April 2018. This notebook provides a step-by-step guide to systematically recreate two figures using Schupbach's original data.

## Local Installation
This notebook may be run on a local machine under Python (>=3.8) with the following minimal packages:

|Library|Min Version|Description|
|---|---|---|
|NumPy|1.17.4|Efficient, multi-dimensional array operations|
|Pandas|0.25.3|Data preparation and cleaning; SQL-like data manipulation|
|Matplotlib|3.1.2|Python plotting library with low-level control|
|Seaborn|0.10.0|Python visualization|
|OpenPyXL|3.0.3|Python library to read/write Excel files|

